cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
Update: Find information on Dropbox support during COVID-19 here
Close

Dropbox installs & integrations

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Can't install dropbox with Mojave 10.14.5

New member | Level 2
New member | Level 2
Hi,
 
Recently, I updated my Mac OS to Mojave 10.14.5.  Right after that dropbox stopped working with a warning message that I should update my computer. I contacted the support team and they told me to uninstall the dropbox app and then install it back. I can't even install it back because I keep seeing this message " Update your computer
To run the Dropbox desktop application, you’ll need OS X 10.10 or higher."  What should I do?
3 Replies 3
Highlighted

Re: Can't install dropbox with Mojave 10.14.5

Dropboxer
Dropboxer
Hey @krpotkal, it looks like despite upgrading your OS, this isn’t reflected on our end, so I’d recommend re-installing our app using the Offline installer that should eliminate similar discrepancies (& you can reference the steps outlined below to get going with that): 
 
Spoiler
  • Stop Dropbox (if needed) by clicking the Dropbox icon in the menu bar on the top of your screen. >Click on the gear icon in the Notifications panel and select "Quit Dropbox". 
  • Delete the Dropbox application from the Applications folder. You may need to provide your computer password in order to perform this action. 
  • Reinstall the Dropbox desktop application following these steps:
  • Open the Dropbox .dmg file and double click the Dropbox icon. Dropbox should appear in your menu bar.
Additionally, as you’ve mentioned that you’ve already tried working on that with our Support team, would you mind including a bit more detail on the results you got on your end? That would help us plan ahead a bit more accurately. 
 
Please have a look at my suggestions at your earliest convenience & let me know how you get on with my advice or if I’ve misunderstood your question in any way on our discussion here. Thanks again! 

 


Jane
Community Moderator @ Dropbox
https://dropbox.com/support

 

Heart Did this post help you? If so please give it a Like below. 
 Did this post fix your issue/answer your question? If so please press the 'Accept as Best Answer' button to help others find it.
 Still stuck? Ask me a question! (
Questions asked in the community will likely receive an answer within 4 hours!)

Highlighted

Re: Can't install dropbox with Mojave 10.14.5

New member | Level 2
New member | Level 2

Dear Jane,

Thanks for your quick reply. When I click the link you gave to download the offline installer.

It gives the same message " Update your computer

To run the Dropbox desktop application, you’ll need OS X 10.10 or higher."
Please see the screenshot attached.
 
We are stucked in that step also with the support team.Screen Shot 2019-06-20 at 12.52.32.png
Highlighted

Re: Can't install dropbox with Mojave 10.14.5

Dropboxer
Dropboxer
Oh, thanks for clarifying (& for the screenshot, that was very helpful) @krpotkal! Now, the screenshot signifies that this is an unsupported configuration indeed, so this makes me wonder whether you’ve gone ahead with a full system upgrade or you’re working on a Virtual Machine with Mojave 10.14.5. Could this apply by any chance? 
 
Please let me know here & I’ll do my best to further advise. Thanks again! 

 


Jane
Community Moderator @ Dropbox
https://dropbox.com/support

 

Heart Did this post help you? If so please give it a Like below. 
 Did this post fix your issue/answer your question? If so please press the 'Accept as Best Answer' button to help others find it.
 Still stuck? Ask me a question! (
Questions asked in the community will likely receive an answer within 4 hours!)

Work Smarter with Dropbox

The way we work is changing. Share and discover new ways to work smarter with Dropbox in our community.

Sound good? Let's get started.
Who's talking

Top contributors to this post

What do Dropbox user levels mean?
Need more support?